<?php

namespace local_ulibot\callback;

use core\context\course as context_course;
use core\context\system as context_system;

class before_standard_html_head
{
    public static function execute(\core\hook\output\before_standard_head_html_generation $hook)
    {
        global $COURSE;

        /** @var \context $systemcontext */
        $systemcontext = context_system::instance();

        /** @var \context $coursecontext */
        $coursecontext = context_course::instance($COURSE->id);

        $label = \local_ulibot\ulibot::get_label();

        if (isloggedin() && !isguestuser() && !empty($label)) {
            if ($COURSE->id > 1 && has_capability('local/ulibot:courseview', $coursecontext)) {
                $hook->add_html($label);
                return;
            }
            
            if (has_capability('local/ulibot:systemview', $systemcontext)) {
                $hook->add_html($label);
                return;
            }
        }

        return '';
    }
}
