<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Plugin administration pages are defined here.
 *
 * @package     local_ulibot
 * @category    admin
 * @copyright   2017 Daniel Belizán <daniel@e-abclearning.com>
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();
use local_ulibot\ulibot;

$settings = new admin_settingpage('local_ulibot', get_string('settingstitle', 'local_ulibot'));
/** @var admin_root $ADMIN */
$ADMIN->add('localplugins', $settings);
if ($ADMIN->fulltree) {
    $settings->add(new admin_setting_heading(
        'local_ulibot/ulibot',
        get_string('ulibotheading', 'local_ulibot'),
        get_string('ulibotinfo', 'local_ulibot')

    ));

    $settings->add(new admin_setting_configtext(
        'local_ulibot/urlulibot',
        get_string('urlulibot', 'local_ulibot'),
        get_string('urlulibotdesc', 'local_ulibot'),
        ulibot::URLDEFAULT,
        PARAM_TEXT
    ));

    $settings->add(new admin_setting_configtext(
        "local_ulibot/urlbackulibot",
        get_string('urlbackulibot', 'local_ulibot'),
        get_string('urlbackulibotdesc', 'local_ulibot'),
        "",
        PARAM_TEXT
    ));

    // Show custom profile files.
    $settings->add(new admin_setting_configtext(
        'local_ulibot/tokenulibot',
        get_string('tokenulibot', 'local_ulibot'),
        get_string('tokenulibotdesc', 'local_ulibot'),
        '',
        PARAM_TEXT
    ));
}
